class Cell
{
public:
	Cell()
	{
		this->_cell.setSize(sf::Vector2f(CELL_SIZE,CELL_SIZE));
		this->_cell.setOutlineThickness(1);
		this->_cell.setOutlineColor(sf::Color(0xb2,0x52,0xa1));
	}

	void setPosition(int x, int y)
	{
		this->_cell.setPosition(x,y);
	}

	void setGridColor(sf::Color color)
	{
		this->_cell.setOutlineColor(color);
	}

	void setColor(sf::Color color)
	{
		this->_cell.setFillColor(color);
	}

	void setTexture(sf::Texture &texture)
	{
		this->_cell.setTexture(&texture);
	}

	void draw(sf::RenderWindow &window)
	{
		window.draw(this->_cell);
	}
private:
sf::RectangleShape _cell;
};
